# Hardcopy

class HPS.Hardcopy

  Public Types

  enum BackgroundPreference

    Values:

    UseBackgroundColor
    ForceSolidWhite
  enum PDFFontPreference

    Values:

    DoNotEmbedFonts
    EmbedFonts
  enum RenderingAlgorithm

    Values:

    TwoPassPrint
    SinglePassPrint
  enum ResolutionUnits

    Values:

    DPCM
    DPI
    DotsPerCentimeter
    DotsPerInch
  enum SizeUnits

    Values:

    Centimeters
    Inches
  class File

    Public Types

    enum Driver

      Values:

      PDF
      Postscript

    Public Static Functions

    HPS.IOResult Export (string in_filename, HPS.Hardcopy.File.Driver in_driver_type, HPS.WindowKey in_window, HPS.Hardcopy.File.ExportOptionsKit in_options)
    class ExportOptionsKit : public HPS.Kit

      Public Functions

      override void Dispose ()
      override bool Empty ()
      bool Equals (HPS.Hardcopy.File.ExportOptionsKit in_kit)
      override bool Equals (Object obj)
      ExportOptionsKit ()
      ExportOptionsKit (HPS.Hardcopy.File.ExportOptionsKit in_kit)
      override int GetHashCode ()
      override HPS.Type ObjectType ()
      void Set (HPS.Hardcopy.File.ExportOptionsKit in_kit)
      HPS.Hardcopy.File.ExportOptionsKit SetBackgroundPreference (HPS.Hardcopy.BackgroundPreference in_background_preference)
      HPS.Hardcopy.File.ExportOptionsKit SetHiddenLineSorting (bool in_on)
      HPS.Hardcopy.File.ExportOptionsKit SetHiddenLineSorting (bool in_on, float in_activation_weight)
      HPS.Hardcopy.File.ExportOptionsKit SetHiddenLineSorting (bool in_on, float in_activation_weight, HPS.Line.SizeUnits in_units)
      HPS.Hardcopy.File.ExportOptionsKit SetPDFFontPreference (HPS.Hardcopy.PDFFontPreference in_pdf_font_preference)
      HPS.Hardcopy.File.ExportOptionsKit SetRenderingAlgorithm (HPS.Hardcopy.RenderingAlgorithm in_rendering_algorithm)
      HPS.Hardcopy.File.ExportOptionsKit SetResolution (float in_resolution)
      HPS.Hardcopy.File.ExportOptionsKit SetResolution (float in_resolution, HPS.Hardcopy.ResolutionUnits in_units)
      HPS.Hardcopy.File.ExportOptionsKit SetScale (float in_scale)
      HPS.Hardcopy.File.ExportOptionsKit SetScale (float in_scale, HPS.Hardcopy.SizeUnits in_units)
      HPS.Hardcopy.File.ExportOptionsKit SetSize (float in_width, float in_height)
      HPS.Hardcopy.File.ExportOptionsKit SetSize (float in_width, float in_height, HPS.Hardcopy.SizeUnits in_units)
      HPS.Hardcopy.File.ExportOptionsKit SetWYSIWYG (bool in_onoff)
      void Show (out HPS.Hardcopy.File.ExportOptionsKit out_kit)
      bool ShowBackgroundPreference (out HPS.Hardcopy.BackgroundPreference out_background_preference)
      bool ShowHiddenLineSorting (out bool out_state, out float out_threshold, out HPS.Line.SizeUnits out_units)
      bool ShowPDFFontPreference (out HPS.Hardcopy.PDFFontPreference out_pdf_font_preference)
      bool ShowRenderingAlgorithm (out HPS.Hardcopy.RenderingAlgorithm out_rendering_algorithm)
      bool ShowResolution (out float out_resolution, out HPS.Hardcopy.ResolutionUnits out_units)
      bool ShowScale (out float out_scale, out HPS.Hardcopy.SizeUnits out_units)
      bool ShowSize (out float out_width, out float out_height, out HPS.Hardcopy.SizeUnits out_units)
      bool ShowWYSIWYG (out bool out_onoff)
      HPS.Hardcopy.File.ExportOptionsKit UnsetBackgroundPreference ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetEverything ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetHiddenLineSorting ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetPDFFontPreference ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetRenderingAlgorithm ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetResolution ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetScale ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetSize ()
      HPS.Hardcopy.File.ExportOptionsKit UnsetWYSIWYG ()

      Public Static Functions

      HPS.Hardcopy.File.ExportOptionsKit GetDefault ()
      bool operator!= (HPS.Hardcopy.File.ExportOptionsKit a, HPS.Hardcopy.File.ExportOptionsKit b)
      bool operator== (HPS.Hardcopy.File.ExportOptionsKit a, HPS.Hardcopy.File.ExportOptionsKit b)

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating